Description

<button /> elements are more flexible than <input type="submit" /> as they allow to render arbitrary child elements and can transmit
own values which makes them really usable in multi-page forms for example.
In the meantime all major browser support buttons for submitting & resetting so we should add a respective ViewHelper.

Associated revisions
Revision 8447517f - 2012-01-18 21:13 - Bastian Waidelich

[FEATURE] form.button ViewHelper

Adds a ViewHelper that renders <button /> form elements

Change-Id: I53dd7fc154761c0c70449ffefcc1a1bed167de72
Resolves: #33302
Releases: 1.1

History
#1 - 2012-01-18 21:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7855

#2 - 2012-01-19 13:39 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7860

#3 - 2012-01-20 12:21 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
